#pragma once

#define enumerate_syscalls(_e)                                                                                         \
    _e(exit) _e(clock_gettime) _e(mmap) _e(munmap) _e(usleep) _e(open) _e(close) _e(read) _e(getpid) _e(write)         \
        _e(lseek) _e(mkdir) _e(exec) _e(mknod)

enum Syscalls
{
#undef __enumerate
#define __enumerate(name) SYS_##name,
    enumerate_syscalls(__enumerate)
#undef __enumerate
        __count
};
