#include <bits/errno-return.h>
#include <sys/stat.h>
#include <sys/syscall.h>
#include <unistd.h>

extern "C"
{
    int mkdir(const char* path, mode_t mode)
    {
        long rc = syscall(SYS_mkdir, path, mode);
        __errno_return(rc, int);
    }

    int mknod(const char* path, mode_t mode, dev_t dev)
    {
        long rc = syscall(SYS_mknod, path, mode, dev);
        __errno_return(rc, int);
    }
}
